/**
 * @license
 * Copyright (C) 2016 Chi Vinh Le and contributors.
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file for details.
 */
"use strict";
var index = 0;
function createThemeFactory(callback, options) {
    if (options === void 0) { options = {}; }
    if (options.index === undefined) {
        index++;
        options.index = index;
    }
    return function (vars, jss) {
        var theme = callback(vars);
        var sheet = jss.createStyleSheet(theme.classes, options);
        sheet.attach();
        theme.classes = sheet.classes;
        return theme;
    };
}
exports.createThemeFactory = createThemeFactory;

//# sourceMappingURL=themefactory.js.map
