/**
 * @license
 * Copyright (C) 2016 Chi Vinh Le and contributors.
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file for details.
 */
"use strict";
var createHash = require("murmurhash-js/murmurhash3_gc");
function generateClassName(str, rule) {
    if (rule.name) {
        var dashedRuleName = rule.name.replace(/([a-z])([A-Z])/g, "$1-$2").toLowerCase();
        if (rule.options.sheet) {
            var sheet = rule.options.sheet;
            if (sheet.options.meta) {
                var sheetMeta = rule.options.sheet.options.meta;
                return sheetMeta + "-" + dashedRuleName;
            }
        }
        return dashedRuleName + "-" + createHash(str);
    }
    return "" + createHash(str);
}
exports.generateClassName = generateClassName;

//# sourceMappingURL=utils.js.map
