/// <reference types="react" />
/**
 * @license
 * Copyright (C) 2016 Chi Vinh Le and contributors.
 *
 * This software may be modified and distributed under the terms
 * of the MIT license. See the LICENSE file for details.
 */
import * as React from "react";
import { ThemeFactory } from "./themefactory";
export declare type Decorator<TProps> = (target: React.ComponentClass<TProps> | React.StatelessComponent<TProps>) => React.ComponentClass<TProps>;
export interface ThemeAttributes<TTheme> {
    theme?: TTheme;
}
export declare function removeThemeAttributes(attributes: ThemeAttributes<any>): void;
export declare function withTheme<TProps extends ThemeAttributes<any>>(themeFactory: ThemeFactory<any, any>): Decorator<TProps>;
